[payment-request-canmakepayment-method.https.html]
  [Must return false when the PMI is not supported at by the user agent.]
    expected:
      if not e10s: FAIL

  [Must return true when basic-card is amongst unsupported PMIs.]
    expected:
      if debug and not webrender and e10s and (os == "linux") and (bits == 32): PASS
      if not debug and not webrender and e10s and (os == "linux") and (bits == 32): PASS
      if debug and not webrender and e10s and (os == "linux") and (bits == 64): PASS
      if not debug and not webrender and e10s and (os == "linux") and (bits == 64): PASS
      if not debug and webrender and e10s and (os == "linux") and (bits == 64): PASS
      if debug and webrender and e10s and (os == "linux") and (bits == 64): PASS
      if not debug and not webrender and e10s and (os == "win") and (version == "10.0.17134") and (processor == "x86_64") and (bits == 64): PASS
      if debug and not webrender and e10s and (os == "mac") and (version == "OS X 10.10.5") and (processor == "x86_64") and (bits == 64): PASS
      if debug and webrender and e10s and (os == "win") and (version == "10.0.17134") and (processor == "x86_64") and (bits == 64): PASS
      if debug and not webrender and e10s and (os == "win") and (version == "6.1.7601") and (processor == "x86") and (bits == 32): PASS
      if debug and not webrender and e10s and (os == "win") and (version == "10.0.17134") and (processor == "x86_64") and (bits == 64): PASS
      if not debug and not webrender and e10s and (os == "win") and (version == "6.1.7601") and (processor == "x86") and (bits == 32): PASS
      if not debug and not webrender and e10s and (os == "mac") and (version == "OS X 10.10.5") and (processor == "x86_64") and (bits == 64): PASS
      if not debug and webrender and e10s and (os == "win") and (version == "10.0.17134") and (processor == "x86_64") and (bits == 64): PASS
      if (os == 'win' and processor == 'aarch64'): PASS # bug 1538298
      FAIL

  [If basic-card is supported, then return a promise that resolves to true.]
    expected:
      if not e10s: FAIL

